#
# spec file for package microsoft-dracut-config
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           microsoft-dracut-config
VCS: https://src.suse.de/SLFO-pool/microsoft-dracut-config#869c0c4fad1a673126d6ebd7d0fb163d1415d3ed5e6cefb8d2548b66f155eb91
Version:        0.0.4
Release:        160000.1.3
Summary:        Microsoft Dracut config overlay files
License:        Apache-2.0
Group:          System/Management
URL:            https://github.com/SUSE-Enceladus/microsoft-dracut-config
Source:         %{name}-%{version}.tar.gz
BuildRequires:  dracut
Provides:       dracut-instance-change-config
Conflicts:      otherproviders(dracut-instance-change-config)
BuildArch:      noarch

%description

%prep
%autosetup -p1 -n %{name}

%build

%install
install -D -m 644 usr/lib/dracut/dracut.conf.d/07-nvme.conf \
    %{buildroot}/usr/lib/dracut/dracut.conf.d/07-nvme.conf
install -D -m 644 usr/lib/dracut/dracut.conf.d/07-ext4.conf \
    %{buildroot}/usr/lib/dracut/dracut.conf.d/07-ext4.conf
install -D -m 644 usr/lib/dracut/dracut.conf.d/07-virtio.conf \
    %{buildroot}/usr/lib/dracut/dracut.conf.d/07-virtio.conf
install -D -m 644 usr/lib/dracut/dracut.conf.d/07-xfs.conf \
    %{buildroot}/usr/lib/dracut/dracut.conf.d/07-xfs.conf
install -D -m 644 usr/lib/dracut/dracut.conf.d/11-resume.conf \
    %{buildroot}/usr/lib/dracut/dracut.conf.d/11-resume.conf

%check

%files
%doc README.md
%license LICENSE
%dir /usr/lib/dracut/
%dir /usr/lib/dracut/dracut.conf.d/
/usr/lib/dracut/dracut.conf.d/07-nvme.conf
/usr/lib/dracut/dracut.conf.d/07-ext4.conf
/usr/lib/dracut/dracut.conf.d/07-virtio.conf
/usr/lib/dracut/dracut.conf.d/07-xfs.conf
/usr/lib/dracut/dracut.conf.d/11-resume.conf

%changelog
* Wed Jan  8 2025 sean.marlow@suse.com
- Update to 0.0.4
  + Move dracut config files to usr/lib/ dir
* Fri Jan  3 2025 sean.marlow@suse.com
- Update to 0.0.3
  + Add provides and conflicts on generic name dracut-instance-change-config
- Update to 0.0.2
  + Rename config for nvme for consistency
  + Add dracut build requirement
* Tue Dec  3 2024 sean.marlow@suse.com
- Initial release v0.0.1 (PED-11572)
